import 'dart:io';

import 'package:gen_export/gen_export.dart';

Future<void> main(List<String> args) async {
  if (args.contains('update')) {
    Process.runSync('dart', ['pub', 'global', 'deactivate', 'gen_export']);
    Process.runSync('dart', ['pub', 'global', 'activate', 'gen_export']);
    return;
  }

  print(
      'WARNING!!! genexp is deprecated and will be removed in future, use genlib instead\n\n\n\n');

  // remove existing exports file
  for (var item in libDir.listSync(recursive: true)) {
    if (item is File && item.path.endsWith('.exports.dart')) {
      item.deleteSync();
    }
  }

  generateExport(
    libDir,
    fileName: packageName,
    ext: '',
  );

  Process.runSync('dart', ['format', '.']);
}
